﻿using UnityEngine;
using System.Collections;
using Holoville.HOTween;

public class TitleText:MonoBehaviour {
	public bool scaleZ;
	public AnimationCurve rotationCurve;

	private Vector3 sc = Vector3.one;
	private bool finished = false;
	private float time = 0f;

	// Update rotation
	public void Update () {
		if(! finished) {
			time += Time.deltaTime / 3f;

			float fl = rotationCurve.Evaluate(time);
			transform.localEulerAngles = Vector3.left * fl * 90f;
			if(scaleZ) {
				sc.z = fl * 0.3f + 0.3f;
				transform.localScale = sc;
			}

			if(LevelManager.instance.started) {
				finished = true;
				HOTween.To(transform, 0.75f, "localScale", Vector3.zero);
				HOTween.To(transform, 3f, new TweenParms().Prop("position", new Vector3(0f, -5f, 0f)).OnComplete(Done));
			}
		}
	}

	public void Done() {
		Destroy(gameObject);
	}
}
