Shader "Custom/Unlit/Transparent Colored Overlay" {
    Properties {
        // Adds Color field we can modify
        _Color ("Main Color", Color) = (1,1,1,1)
        _MainTex ("Base (RGB)", 2D) = "white" {}
    }
    
    SubShader {
        Tags {"Queue"="Overlay" "IgnoreProjector"="True" "RenderType"="Overlay"}
    
    	Lighting Off
		Cull Off 
		ZWrite Off 
		Fog { Mode Off } 
		ZTest Always 
        Blend SrcAlpha OneMinusSrcAlpha 

        Pass {
            Lighting Off
            SetTexture [_MainTex] { 
                // Sets _Color as the 'constant' variable
                constantColor[_Color]
                
                // Multiplies color (in constant) with texture
                combine constant * texture
            } 
        }
    }
}
